Bug 460897 - Segmentation fault caused by kexec-tools
Segmentation fault caused by kexec-tools
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kexec-tools (Show other bugs)
9
other All
medium Severity high
: ---
: ---
Assigned To: Fedora Update System
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-02 10:04 EDT by IBM Bug Proxy
Modified: 2009-07-14 13:24 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 13:24:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
IBM Linux Technology Center 47594 None None None Never

  None (edit)
Description IBM Bug Proxy 2008-09-02 10:04:54 EDT
=Comment: #0=================================================
Jochen Roth <jroth@de.ibm.com> - 2008-09-01 12:29 EDT
Problem description:

kexec-tools-1.102pre-10.fc9.ppc

Calling kexec -p vmlinux --initrd=initrd append="root=/xyz" ends with a
segmentation fault:

[root@localhost ~]# kexec -p vmlinux --initrd=initrd --append="root=/xyz"
get memory ranges:1
Segmentation fault
=Comment: #1=================================================
Jochen Roth <jroth@de.ibm.com> - 2008-09-01 12:31 EDT
This bug is fixed and already accepted upstream: 

http://lists.infradead.org/pipermail/kexec/2008-August/002477.html

Can you provide us with an update of kexec-tools in F-9, please? 

Thanks!
Comment 1 Neil Horman 2008-09-02 12:02:33 EDT
Merged into 1.102-13.fc9.  Thanks!
Comment 2 Neil Horman 2008-09-02 12:05:55 EDT
note its in the testing repository, so you'll need to update from there.  Please give it a good karma update when you test it so that it gets pushed to stable.  Thanks!
Comment 3 Fedora Update System 2008-09-02 12:08:39 EDT
kexec-tools-1.102pre-13.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/kexec-tools-1.102pre-13.fc9
Comment 4 IBM Bug Proxy 2008-09-02 12:30:30 EDT
Thanks for your quick response.

I just tested it on my QS21 and it works fine.

kexec-tools-1.102pre-13.fc9.ppc64

I gave it a good karma on Bodhi.
Comment 5 IBM Bug Proxy 2008-09-02 12:51:18 EDT
Per previous comment, moving to closed.

Thank you Jochen and Red Hat for working on this issue.
Comment 6 Hanns-Joachim Uhl 2008-09-09 09:29:21 EDT
Hello Neil,
I am reopening this bugzilla because the package 
"kexec-tools-1.102pre-13.fc9.ppc64" (see comment #4) is _not_ yet available from http://download.fedora.redhat.com/pub/fedora/linux/updates/9/ppc64.newkey/  ..
... when do you think that this updated package will be available ..?
Thanks for your support.
Comment 7 Neil Horman 2008-09-09 09:37:38 EDT
https://admin.fedoraproject.org/updates/F9/FEDORA-2008-7476
Its been pushed.  You'll have to query the infrastructure team as to why the new version hasn't appeared yet.
Comment 8 IBM Bug Proxy 2008-09-09 09:42:39 EDT
The updates are frozen to to the current package signing keys problem:

https://www.redhat.com/archives/fedora-devel-announce/2008-September/msg00002.html
Comment 9 Hanns-Joachim Uhl 2008-09-09 09:49:18 EDT
Hello Neil,
thanks for the quick answer ..
... when checking https://admin.fedoraproject.org/updates/F9/ 
I see the following:
"
FEDORA-2008-7518  kexec-tools-1.102pre-12.fc9    nhorman  2008-09-05 10:49:11  
... 
FEDORA-2008-7476  kexec-tools-1.102pre-13.fc9    nhorman  2008-09-05 10:46:13 
"
which means to me that the _last_ check-in for kexec-tools was the 'pre-12' ..
.. I think this check-in has overwritten the 'pre-13' ..
... what do you think ..?
..
Maybe you have to check-in the 'pre-13' package again ..
Thanks for your support.
Comment 10 Neil Horman 2008-09-09 09:59:21 EDT
please stop re-opening this bug.  Its fixed, it needs to stay closed.  I filed the -13 errata 21 days after I filed the -12 errata.

I'm not sure where you got those dates above, but from here:
https://admin.fedoraproject.org/updates/search/kexec-tools
I see

 FEDORA-2008-7518  	 kexec-tools-1.102pre-12.fc9   	 [bugfix]   	 nhorman   	 2008-08-12 16:28:45
FEDORA-2008-2051 	kexec-tools-1.102pre-5.fc8 	[bugfix] 	nhorman 	2008-02-28 18:54:47
FEDORA-2008-6364 	kexec-tools-1.102pre-10.fc9 	[bugfix] 	nhorman 	2008-07-14 15:03:02
FEDORA-2008-2367 	kexec-tools-1.102pre-6.fc8 	[bugfix] 	nhorman 	2008-03-10 20:20:25
FEDORA-2008-1933 	kexec-tools-1.102pre-4.fc8 	[bugfix] 	nhorman 	2008-02-22 14:05:19
FEDORA-2008-2525 	kexec-tools-1.102pre-7.fc8 	[bugfix] 	nhorman 	2008-03-14 14:02:18
FEDORA-2008-7476 	kexec-tools-1.102pre-13.fc9 	[bugfix] 	nhorman 	2008-09-02 16:08:37
 
 

the -12 package was pushed on aug 12, while the -13 errata was pushed on sept. 2.
If I have a chance I'll ping the infrastructure people to see where the updates have gone, but I really don't have time right now.  If you need this package asap, then you'll need to query them. thank you.
Comment 11 Fedora Update System 2008-09-10 02:55:46 EDT
kexec-tools-1.102pre-13.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 IBM Bug Proxy 2008-09-10 03:40:28 EDT
Fedora 9 updates are re-enabled now:

https://www.redhat.com/archives/fedora-devel-announce/2008-September/msg00006.html

The packages should be available on the mirrors within the next hours.
Comment 13 IBM Bug Proxy 2008-09-11 14:00:30 EDT
Hi Red Hat,

couldn't find yet the package kexec-tools-1.102pre-13.fc9 at
http://download.fedora.redhat.com/pub/fedora/linux/updates/9/ppc64.newkey/

This repository still contains kexec-tools-1.102pre-12.fc9.ppc64.rpm.

Could you check if the rpm will be pushed to the this url or please provide the
correct repository?

Thanks in advance.
Comment 14 Hanns-Joachim Uhl 2008-09-18 06:56:21 EDT
Hello Red Hat,

the package kexec-tools-1.102pre-13.fc9 is still not available at
http://download.fedora.redhat.com/pub/fedora/linux/updates/9/ppc64.newkey/

This repository still contains kexec-tools-1.102pre-12.fc9.ppc64.rpm.

Could you please check why the updated package is not yet posted ..?

Thanks in advance for your support..
Comment 15 IBM Bug Proxy 2008-10-21 09:11:29 EDT
kexec-tools-1.102pre-13.fc9.ppc64.rpm is now available at http://download.fedora.redhat.com/pub/fedora/linux/updates/9/ppc64.newkey/

Marking bug as closed.
Comment 16 Bug Zapper 2009-06-09 22:36:22 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 17 Bug Zapper 2009-07-14 13:24:11 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.